/*                         */
/* 詳細設定全体            */
/*                         */
h2 {
        color: #2163ee;
	font-size: 23px;
	font-size: 2.3rem;
	font-weight: bold;
	margin: 0px;
}

#main-box {
	padding: 25px 20px 0 20px;
}

.acm_bg{
	background: #ffffff url(../../../png/gui/acd_menu_background.png) repeat-y 5px;
}

.toggleoff {
	background: none;
}

.article-box {
	min-height: 100%;
	border: 0 solid #000000;
	overflow: hidden;
	background: #e6e6e6;
	margin: 0 5px 0 10px;
}

.mode_setting{
	background-color: white;
}

.article-line {
    background: #B4B4B4;
    margin: 10px 0;
    height: 1px; /* marginと合わせて35px */
}

#title-box {
	background-image: url('../../../png/gui/setting_mark.png');
	background-repeat: no-repeat;
	padding: 0 0 0 30px;
	background-position: left;
}
#subtitle-box {
    font-size: 2.5rem;
    font-weight: bold;
    padding: 10px 0 0 0;
}

#notice-box {
	font-size: 16px;
	font-size: 1.6rem;
}
.top-page{
	margin: 30px 0;
}
/*********************************************************************/
/* .sdb-dis(setting-disp-box-displayの略)                            */
/*********************************************************************/
.sdb-dis {
	margin: 10px 0 0 0;
	overflow: hidden;
}

/*********************************************************************/
/* .sdb-dis-header                                                   */
/*********************************************************************/
.sdb-dis-header {
	display: block;
	overflow: hidden;
	height: 30px;
	background-color: #3d3d3d;
	color:white;
}

.sdb-dis-header div{
    display: block;
    overflow: hidden;
    height: 30px;
}

.sdb-dis-header .bgn_line{
        float: left;
	margin: 0 0 0 10px;
}
.sdb-dis-header .bgn_line > .line {
	background: #2163ee;
	margin: 8px 0;
	height: 13px;
	width: 13px;
}

.sdb-dis-header .string{
        float: left;
        margin: 0 10px 0 10px;
	font-size: 16px;
	font-size: 1.6rem;
        font-weight: bold;
}
.sdb-dis-header .end_line{}

.sdb-dis-header .line{}

.sdb-dis-header div span{
    display: table-cell;
    height: 30px;
    vertical-align: middle;
}

.sdb-dis-body {
	border-color: #333333;
    overflow: hidden;
	background-color: #FFFFFF;
	padding: 0 10px;
}

.sdb-dis-body .layout .item{
	height: 35px;
	font-size: 13px;
	font-size: 1.3rem;
}

.sdb-dis-body .layout .item span{
    height: 35px;
}

.sdb-dis-body .layout .mini-item{
    height: 20px;
    font-size: 1.3rem;
}

.sdb-dis-body .layout .mini-item span{
    height: 20px;
}

.bgglay{
    background: #dadada;
}

/*********************************************************************/

/* メインの表 */
.tbl_list {
}

/*                         */
/* DHCP                    */
/*                         */


/*                         */
/* NAT                     */
/*                         */
.nat-container {
	width: 99%;
	border: 1px solid #000000;
}
/* 文字のセンタリング (theadは左寄せなので、これをセンタリングするためのもの)*/
.nat-container .center > div{
	text-align: center;
}
/* nat-container-head *************************************************************/
.nat-container-head{
	padding: 0 20px 0 0;
	max-width: 100%;
	background-color: #c1c1c1;
	border-color : #797777;
	white-space: nowrap;
}

.nat-container-head span{
	color: #000000;
	text-overflow: ellipsis;
	vertical-align: middle;
	font-size: 14px;
	min-width: 1.5rem;
	min-height: 35px;   line-height: 35px;
	overflow: hidden;
	background-color: #c1c1c1;
	display: inline-block;
	_display: inline;

}
.nat-container-head span:first-child{
	padding-left: 4px;
}

/* 2列目以降の左側に線を引く */
.nat-container-head span:nth-child(n+1){
	/* border-left: 1px solid #5C5A5A; */
}
.nat-container-head span:last-child{
	/*float: right; */
}

/* nat-container-body *************************************************************/
.nat-container-body{
	min-height:28px;
	height: 110px;
	overflow-y: scroll;
	overflow-x: hidden;
	background-color: #ffffff;
}

.nat-container-body div{
	text-overflow: ellipsis;
	max-width: 100%;
	min-width: 80%;
	font-size: 13px;
	border:2px solid #B4B4B5;
	margin: 1px 0 1px 0;
	height: 28px; 	line-height: 28px;
	white-space: nowrap;
	border-radius: 6px;
	background-color: #ffffff;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	cursor: move;
}

.nat-container-highlight {
	background-color: #D0D0D0  !important;
}
.nat-container-body div span:first-child{
	padding-left: 4px;
}
.nat-container-body span{
	text-overflow: ellipsis;
	margin-left: auto;
	margin-right: auto;
	vertical-align: middle;
	display: inline-block;
	_display: inline;
	float: left;
	overflow: hidden;
	min-height: 100%;
}

.nat-container-body span:nth-child(n+2){
	/* 各列の間に線を引く */
	/* border-left: 1px solid #5C5A5A; */
}

.nat-container-body span:last-child{
	/* float: right;  */
}
/* nat-container-item *************************************************************/
.nat-container-item {
	text-overflow: ellipsis;
	max-width: 100%;
	min-width: 80%;
	font-size: 13px;
	border:2px solid #B4B4B5;
	margin: 1px 3px 1px 3px;
	height: 28px; 	line-height: 28px;
	white-space: nowrap;
	border-radius: 6px;
	background-color: #ffffff;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	cursor: move;
}

/* nat-container　内の要素 *************************************************************/

/* 共通 */
.cell-static-entry-id{
	width: 4%;
}
.cell-delete-button, .cell-copy-button{
	width: 7%;
	overflow: auto;
}
.cell-delete-button button, .cell-copy-button button{
	line-height: normal;
}

.cell-nat-delete-button,
.cell-masq-delete-button,
.cell-nat-copy-button,
.cell-masq-copy-button{
	width: 6%;
	margin: 0 auto;
	overflow: auto;
	float: right;
}

/* NATディスクリプターの適用設定用 */
.cell-app-order{
	width: 7%;
}
.cell-desc-id{
	width: 23%;
}
.cell-nat-type{
	width: 16%;
}
.cell-outer-addr{
	width: 23%;
}
.cell-inner-addr{
	width: 23%;
}


/* 静的NAT設定欄用 */
.cell-nat-id{
	width: 12%;
}
.cell-nat-outer-addr{
	width: 20%;
}
.cell-nat-inner-addr{
	width: 20%;
}
.cell-nat-net-mask{
	width: 13%;
}
.cell-nat-count{
	width: 15%;
}


/* 静的マスカレード設定欄用 */
.cell-masq-id{
	width: 12%;
}
.cell-masq-inner-addr{
	width: 20%;
}
.cell-masq-outer-port{
	width: 31%;
}
.cell-masq-protocol{
	width: 17%;
}

/* ドラッグ&ドロップ時の装飾 *********************************************************/

#nat-drag-drop-notice-container, #ip-filter-drag-drop-notice-container {
	width: 100%;
	white-space: nowrap;
	text-align: center;
}
.nat-vertical-container, .ip-filter-vertical-container{
	height: 100%;
	margin: 0 auto;
	display: inline-block;
	_display: inline;
}
#nat-drag-drop-string, .ip-filter-drag-drop-string {
	height: 100%;
	color: #a3a3a3;
	margin: 0 auto;
	font-size: 32px;
	font-weight: bold;
	text-align: center;
}

.nat-down-arrow, .ip-filter-down-arrow {
	color: #a3a3a3;
	width: 0;
	height: 0;
	border: 20px solid transparent;
	border-bottom: 0px;
	border-top-color: #a3a3a3;
}

.nat-down-arrow-small {
	color: #ffffff;
}
.nat-down-arrow-small, .ip-filter-arrow-small {
	position: relative;
	top:-20px;
	left:-12px;
	width: 0;
	height: 0;
	border: 12px solid transparent;
	border-top-color: #ffffff;
}

.nat-drag-drop-notice, .ip-filter-drag-drop-notice {
	color: #2163ee;
	margin: 0 auto;
	text-align: center;
	font-size: 16px;
}

.nat-drag-drop-highlight, .ip-filter-drag-drop-highlight {
	color: #f4f4f4 !important;
	border-top-color: #f4f4f4 !important;
}
.nat-drag-drop-lowlight, .ip-filter-drop-lowlight {
	background-color: #5d5d5d !important;
}
.nat-drag-drop-lowlight2, .ip-filter-drag-drop-lowlight2 {
	border-top-color: #5d5d5d !important;
}

.ip-filter-drag-drop-lowlight {
        background: #5d5d5d !important;
}

.ip-filter-arrow-small {
	/* color: #ffffff; */
}
/* 設定に使用するフォーム *********************************************************/
.nat-select-box {
	font-size: 14px;
	height: 26px;
	line-height: 30px;
	vertical-align: middle;
	width: 20rem;
}

.nat-address-range-box {
	width:22rem;
}
.nat-address-box {
	width:14rem;
}

/* 使用できないフォーム */
.nat-disable-input button, button.nat-disable-input, .nat-disable-input .subitem-plus {
	/* 完全に隠す */
	display: none;
}
.nat-disable-field {
	/* 色だけ変える */
	background-color: #D0D0D0;
}
/*                        */
/*     IP フィルター      */
/*                        */
.filter_pages {
        display: none;
}
.bgd-gray {
        background-color: #F5F5F5;
}

.ip-filter-div-table {
        width:100%;
        clear: both;
}

.ip-filter-container {
        width: 100%;
        margin-bottom: 10px;
        margin-top: 10px;
}
.ip-filter-container-head{
        padding-right: 20px;
        max-width: 100%;
        background-color: #6984bc;
        border-color : #797777;
        white-space: nowrap;
        border-left: 1px solid #000000;
        border-top: 1px solid #000000;
        border-right: 1px solid #000000;
        border-bottom: 1px solid #b4b4b5;
}

.ip-filter-container-head * {
        border-color: #a1adca !important;
}

.cell-ip-filter-table {
        display: table;
        table-layout: fixed;
        width: 100%;
}

.cell-ip-filter-thead {
        display: table-header-group;
}

.cell-ip-filter-tbody {
        display: table-row-group;
}

.cell-ip-filter-row {
        display: table-row;
}
.cell-ip-filter-cell {
        display: table-cell;
        vertical-align: middle;
        text-align: left;
        padding: 0 0 0 4px;
        color: #FFFFFF;
        font-size: 1.5rem;
        border-right: 1px solid;
        overflow: hidden;
        -ms-word-wrap: break-word;
        word-wrap: break-word;
        white-space: normal;
}
/* tableの中のtable */
.cell-ip-filter-table2 {
        display: table;
        table-layout: fixed;
        width: 100%;
}

.cell-ip-filter-table2 {
        display: table;
        table-layout: fixed;
        width: 100%;
        border-collapse: collapse;
}

.cell-ip-filter-row2 {
        display: table-row;
}

.cell-ip-filter-cell2 {
        display: table-cell;
        vertical-align: middle;
        text-align: left;
        padding: 0 0 0 4px;
        font-size: 1.5rem;
        min-width: 1.5rem;
        overflow: hidden;
}

.b_line {
        border-bottom: 1px solid;
}

.cell-ip-filter-row2 div:first-child {
        border-right: 1px solid;
}

.cell-ip-filter-placeholder {
        height: 40px;
}

.cell-ip-filter-placeholder .cell-ip-filter-cell {
        background-color: #D0D0D0;
        border-right: none;
        border-top: 2px solid;
        border-bottom: 2px solid;
        color: #D0D0D0;
}

.cell-ip-filter-placeholder .cell-ip-filter-cell:first-child {
        border-left: 2px solid;
}


.dummy_row .cell-ip-filter-cell {
        font-size: 0px;

}
/* ip-filter-container-body *************************************************************/
.ip-filter-container-body-around {
        border-left: 1px solid #000000;
        border-bottom: 1px solid #000000;
        border-right: 1px solid #000000;
}

.ip-filter-container-body {
        min-height:24px;
        height: 180px;
        overflow-y: scroll;
        overflow-x: hidden;
        background-color: #ffffff;
        border-left: 1px solid #000000;
        border-bottom: 1px solid #000000;
        border-right: 1px solid #000000;
}

#ip-filter-sortable, #ip-filter-dynamic-sortable {
        height:24px;
}

/* ドラッグ&ドロップの要素 */
.cell-ip-filter-item {
        max-width: 100%;
        font-size: 1.4rem;
        border:1px solid #B4B4B5;
        border-radius: 10px;
        background-color: #ffffff;
        -webkit-border-radius: 10px;
        -moz-border-radius: 10px;
        display: table-row;
        cursor: move;
}

.cell-ip-filter-item .cell-ip-filter-cell {
        color: #000000;
        border-bottom: 2px solid;
        border-top: 2px solid;
}

.cell-ip-filter-item .cell-ip-filter-cell:first-child {
        border-left:2px solid;
}


.cell-ip-filter-item div, .cell-ip-filter-placeholder div {
        border-color: #B4B4B5 !important;
}

#ip-filter-draggable .cell-ip-filter-del, #ip-filter-dynamic-draggable .cell-ip-filter-dynamic-del {
        border-top-left-radius: 10px;
        border-bottom-left-radius: 10px;
}

#ip-filter-sortable .cell-ip-filter-order, #ip-filter-dynamic-sortable .cell-ip-filter-order {
        border-top-left-radius: 10px;
        border-bottom-left-radius: 10px;
}

.cell-ip-filter-item .cell-ip-filter-dynamic-rule {
        text-align: left;
        white-space: normal;
}

#ip-filter-draggable, #ip-filter-dynamic-draggable, #ip-filter-sortable, #ip-filter-dynamic-sortable {
        border-spacing: 0 1px;
}

#ip-filter-draggable .cell-ip-filter-set, #ip-filter-dynamic-draggable .cell-ip-filter-set {
        border-top-right-radius: 10px;
        border-bottom-right-radius: 10px;
}

#ip-filter-sortable .cell-ip-filter-delete-button, #ip-filter-dynamic-sortable .cell-ip-filter-delete-button {
        border-top-right-radius: 10px;
        border-bottom-right-radius: 10px;
}

.ip-filter-container-highlight {
        background-color: #f0ee45  !important;
}

#ipfilter_list .layout-1col {
        background: none;
}


/* cell-ip-filter-item内の要素 *************************************************************/
.cell-ip-filter-del, .cell-ip-filter-order, .cell-ip-filter-dynamic-del {
        width: 6%;
}

.cell-ip-filter-del, .cell-ip-filter-dynamic-del {
        width: 6%;
        text-align: center;
}

.cell-ip-filter-id, .cell-ip-filter-dynamic-id {
        width: 8%;
}

.cell-ip-filter-def-type, .cell-ip-filter-type {
        width: 12%;
}

.cell-ip-filter-addr {
        width: 45%;
}

.ip-filter-container-head .cell-ip-filter-addr div:first-child {
        border-bottom: 1px solid;
}

.cell-ip-filter-src, .cell-ip-filter-dst {
        width: 65%;
}

.cell-ip-filter-address div:first-child {
        border-bottom: 1px solid;
}

.cell-ip-filter-port {
        width: 11%;
}

.cell-ip-filter-port div:first-child {
        border-bottom: 1px solid;
}

.cell-ip-filter-sport, .cell-ip-filter-dport {
        width: 30%;
}
.cell-ip-filter-def-protocol, .cell-ip-filter-protocol {
        width: 15%;
}

.cell-ip-filter-dynamic-protocol {
        width:10%;
}

.cell-ip-filter-dynamic-rule {
        width:21%;
}
.cell-ip-filter-dynamic-rule div:first-child {
        border-bottom: 1px solid;
}

.cell-ip-filter-item .cell-ip-filter-dynamic-rule div:first-child {
        border-bottom: none;
}

.cell-ip-filter-dynamic-filter:first-child {
        border-left: none;
}

.cell-ip-filter-dynamic-filter {
        width:7%;
}

.cell-ip-filter-dynamic-addr {
        width:26%;
}

.cell-ip-filter-dynamic-addr div:first-child {
        border-bottom: 1px solid #B4B4B5;
}

.cell-ip-filter-dynamic-log {
        width: 4%;
}

.cell-ip-filter-dynamic-timeout {
        width: 10%;
}

#ip-filter-def-list .cell-ip-filter-set, #ip-filter-dynamic-def-list .cell-ip-filter-set {
        width: 120px;
}
#ip-filter-draggable .cell-ip-filter-set, #ip-filter-dynamic-draggable .cell-ip-filter-set {
        border-right: 2px solid;
}

#ip-filter-app-list .cell-ip-filter-set, #ip-filter-dynamic-app-list .cell-ip-filter-set {
        width: 55px;
}
.cell-ip-filter-delete-button {
        width: 65px;
}

#ip-filter-sortable .cell-ip-filter-delete-button, #ip-filter-dynamic-sortable .cell-ip-filter-delete-button {
        border-right: 2px solid;
}

.not-found-ip-filter {
        white-space: nowrap;
        overflow: visible;
        word-wrap: normal;
}

.no-r-line {
        border-right:none;
        text-align:left;
}

/* 参照用テーブル */
#ip-filter-ref-table {
        max-width: 800px;

}

.ip-filter-ref-head{
        padding-right: 19px;
        max-width: 100%;
        background-color: #6984bc;
        border-color : #797777;
        white-space: nowrap;
        border-left: 1px solid #000000;
        border-top: 1px solid #000000;
        border-right: 1px solid #000000;
        border-bottom: 1px solid #b4b4b5;
}

.ip-filter-ref-head * {
        border-color: #5C5A5A !important;
}

.ip-filter-ref-id {
        width:15%;
}

.ip-filter-ref-type {
        width:12%;
}

.ip-filter-ref-protocol {
        width:18%;
}

.ip-filter-ref-addr {
        width:55%;
}

.ip-filter-ref-addr .cell-ip-filter-row2>div:first-child {
        width: 70%;
}

.ip-filter-ref-body-around {
        border-left: 1px solid #000000;
        border-bottom: 1px solid #000000;
        border-right: 1px solid #000000;
}

.ip-filter-ref-body{
        min-height:24px;
        max-height: 180px;
        overflow-y: scroll;
        overflow-x: hidden;
        background-color: #ffffff;
        border-left: 1px solid #000000;
        border-bottom: 1px solid #000000;
        border-right: 1px solid #000000;
}

.ip-filter-ref-item {
        max-width: 100%;
        min-width: 80%;
        font-size: 1.4rem;
        border:1px solid #B4B4B5;
        white-space: nowrap;
        background-color: #ffffff;
        display: table-row;
}

.ip-filter-ref-item:nth-child(even) {
        background-color: #F5F5F5;
}

.ip-filter-ref-item .cell-ip-filter-cell {
        color: #000000;
        border-bottom: 1px solid;
}
.ip-filter-ref-item * {
        border-color: #B4B4B5 !important;
}

/*********************************************************************/
/* サブアイテム追加コンテナー                                        */
/*                                                                   */
/*********************************************************************/

.subitem-container{
	width: 100%;
	border: 1px solid #000000;
	border-left: none;
}
.subitem-container-cfm{
	width: 100%;
	border: 1px solid #000000;
}
.subitem-container .center > div{
	text-align: center;
}
/* 共通 */
.subitem-container-head span:nth-child(n+2), .subitem-container-body span:nth-child(n+2),
.subitem-container-head-masq span:nth-child(n+2),
.subitem-container-head-cfm span:nth-child(n+2){
	/* 2列目以降の左側に線を引く */
	border-left: 1px solid #B4B4B5;
}

/* ヘッダー, フッター *************************************************/

.subitem-container-head, .subitem-container-head-masq,
.subitem-container-foot, .subitem-container-head-cfm{
	border-color : #797777;
	border-left: none;
	white-space: nowrap;
	max-width: 100%;
}


.subitem-container-head, .subitem-container-head-masq, .subitem-container-head-cfm{
	overflow: hidden;
	height: 40px;
}

.subitem-container-head span, .subitem-container-head-masq span{
	color: #FFFFFF;
}
.subitem-container-head-cfm span{
	color: #4b4b4b;
}
.subitem-container-head span, .subitem-container-head-cfm span, .subitem-container-head-masq span{
	font-size: 1.5rem;
	min-width: 1.5rem;
	height: 100%;
	vertical-align: middle;
}
.subitem-container-head-masq span, .subitem-container-head-cfm span{
	line-height: 40px;
}
.subitem-container-head span{
	line-height: 20px;
}

.subitem-container-head-cfm {
	background-color: #c1c1c1;
}
/* フッター *************************************************/
.subitem-container-foot{
	min-height: 32px;
}

/* body *************************************************/

.subitem-container-body{
	min-height:28px;
	background-color: #ffffff;
}



/* サブアイテム本体 *************************************************/

.subitem-item{
	max-width: 100%;
	min-width: 80%;
	font-size: 1.4rem;
	border:1px solid #B4B4B5;
	border-top: none;
	height: 32px;
	white-space: nowrap;
	overflow: hidden;
}

.subitem-cell{
	min-width: 1.5rem;
	text-align: center;
	margin-left: auto;
	margin-right: auto;
	vertical-align: middle;
	float: left;
	overflow: hidden;
	min-height: 32px; line-height: 32px;
}

.subitem-cell.left{
	padding-left: 15px;
	text-align: left;
}

.subitem-input{
	width: 85%;
	padding-left: 2px;
	max-height: 100%;
}
.subitem-plus{
	width: 32px;
	height: 32px;
	background-image: url('../../../png/gui/nat_plus_sw.png');
	background-repeat: no-repeat;
	background-position: center right;
	cursor: pointer;
}
.subitem-plus:hover {
	background-image: url('../../../png/gui/nat_plus_sw_hover.png') !important;
}
.subitem-plus:active {
	background-image: url('../../../png/gui/nat_plus_sw_active.png') !important;
}
.subitem-plus.disable {
	background-image: url('../../../png/gui/nat_plus_sw_disable.png') !important;
	cursor: auto;
}

.btn-subitem:active {
	background: #212121 !important;
}
.btn-subitem{
	line-height: normal;
	background: #43464c;
}
.btn-subitem-disable{
	/* 見えなくする */
	display: none;
}
.subitem-nat-delete:hover, .subitem-masq-delete:hover, .subitem-delete:hover{
	background: #e60012 !important;
	overflow: hidden;
}
.subitem-nat-copy:hover, .subitem-masq-copy:hover, .subitem-copy:hover{
	background: #2b5fcd !important;
	overflow: hidden;
}

/* table レイアウト */
.subitem-table {
    border: 1px solid black;
}

.subitem-table > thead,
.subitem-table > tbody {
    display: block;
}

.subitem-table > tbody {
    overflow-y: auto;
    max-height: 250px;
}

.subitem-table > thead > tr > td,
.subitem-table > tbody > tr > td {
  table-layout:fixed;
}

.subitem-table > thead > tr > td,
.subitem-table > tbody > tr > td {
    padding: 8px 0 8px 15px;
}

.subitem-table > thead > tr > td:nth-child(n+2),
.subitem-table > tbody > tr > td:nth-child(n+2) {
    border-left: 1px solid #B4B4B4;
}

.subitem-table > tbody > tr:nth-child(n+2) > td {
    border-top: 1px solid #B4B4B4;
}

/* コマンドの実行 */
.subitem-table .result {
    min-width: 120px;
}
.subitem-table .command {
    width: 2000px;
    word-break: break-all;
}

/*                         */
/* cssで作る形やボタンなど */
/*                         */

/* 四角 */
.img_square {
	width: 10px;
	height: 10px;
	background: #FFFFFF;
}

/*********************************************************************/
/* .sdb-set(setting-disp-box-settingの略)                            */
/*   ドラッグ&ドロップのページではsdb-set2を使う                     */
/*********************************************************************/
.sdb-set{
	margin: 15px 0;
	overflow: hidden;
	border: 1px solid #000000;
}

 .sdb-set2 {
	margin: 15px 0;
	overflow: hidden;
}

.sdb-set .notice-str, .sdb-set2 .notice-str{
    font-size: 1.2rem;
    display: inline;
    margin: 0 5px;
}

/*********************************************************************/
/* .sdb-set-header, .sdb-set2-header                                 */
/*********************************************************************/
.sdb-set-header, .subitem-container-head, .subitem-container-head-masq, .subitem-container-foot {
	/* 背景色は共通 */
	background-color: #2b5fcd;
}

.sdb-set-header, .sdb-set2-header {
    display: block;
    overflow: hidden;
    height: 30px;
}

.sdb-set-header div, .sdb-set2-header div{
    display: block;
    overflow: hidden;
    height: 30px;
    float:left;
}

.sdb-set-header .square, .sdb-set2-header .square{
    margin: 7px;
}
.sdb-set-header .square{
	width: 10px;
	height: 10px;
	background: #FFFFFF;
}
.sdb-set2-header .square{
	width: 16px;
	height: 16px;
	background: #2153ee;
}

.sdb-set-header .string, .sdb-set2-header .string{
    margin: 0 10px 0 10px;
    font-weight: bold;
    font-size:16px;
    font-size:1.6rem;
}
.sdb-set-header .string{
	color: #FFFFFF;
}
.sdb-set2-header .string{
	color: #000000;
}

.sdb-set-header div span, .sdb-set2-header div span{
    display: table-cell;
    height: 30px;
    vertical-align: middle;
}

.sdb-set-body, .sdb-set2-body {
	border-color: #333333;
	margin: 0 auto;
	padding: 0;
        overflow: hidden;
	font-size: 13px;
	font-size: 1.3rem;
}

.sdb-set-body input{
    height: 1.5rem;
    margin: 3px 0;
}

.sdb-set-body input.firmware_file{
	height: auto;
	margin: 0;
}

.sdb-set-body select, .sdb-set2-body select{
    margin: 3px 0;
}
.sdb-set-btn {
	background: white;
	color:#2b5fcd;
	padding: 2px 35px;
	border: 1px solid rgb(0, 0, 0);
	-moz-border-radius: 3px;
	-webkit-border-radius: 3px;
	border-radius: 5px;
	-moz-box-shadow: 1px 1px #9e9d9d;
	-webkit-box-shadow: 0px 1px rgb(158, 157, 157);
	box-shadow: 2px 2px rgb(158, 157, 157);
	margin: 0 15px;
	font-size: 1.8rem;
	cursor: pointer;
	font-family: Meiryo;
}
.sdb-set-btn:hover {
	border: 1px solid #a0a0a0;
}
.sdb-set-btn:active {
	background: #a0a0a0;
}

.sdb-set-btn.disable {
	background: #b4b4b4;
	color: #818181;
	border: 1px solid #b4b4b4;
	cursor: default;
}

.sdb-std-btn {
	background: #2b5fcd;
	color: white;
	padding: 2px 35px;
	border: 1px solid #2b5fcd;
	-moz-border-radius: 3px;
	-webkit-border-radius: 3px;
	-moz-box-shadow: 1px 1px #9e9d9d;
	-webkit-box-shadow: 0px 1px rgb(158, 157, 157);
	box-shadow: 2px 2px rgb(158, 157, 157);
	border-radius: 5px;
	font-size: 1.3rem;
	cursor: pointer;
	font-family: " HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, arial, "Lucida  Grande", "Hiragino Kaku Gothic Pro",Meiryo, "Meiryo UI", "MS PGothic", sans-serif;
}
.sdb-std-btn:hover {
	border-radius: 4px;
	background: #527aec;
	-moz-box-shadow: 1px 1px #7f7f7f;
	-webkit-box-shadow: 0px 1px rgb(127, 127, 127);
	box-shadow: 2px 2px rgb(127, 127, 127);
}
.sdb-std-btn:active {
	background: #00399e;
	box-shadow: 0px 0px;
}
.sdb-std-btn.disable {
	background: #b4b4b4;
	color: #818181;
	border: 1px solid #b4b4b4;
	cursor: default;
	box-shadow: 2px 2px rgb(127, 127, 127) !important;
}
.sdb-set-body .layout-2col .leftside {
    background: #F6F5F5;
}

.sdb-set-body .layout-2col .rightside{
    background: #FFFFFF;
}

/* 高さの調整 */
.sdb-set-body .layout .item, .sdb-set2-body .layout .item{
    height: 40px;
}

.sdb-set-body .layout .item span{
    height: 40px;
}

.sdb-set-body .layout .item-2row {
    height: 81px;
}

.sdb-set-body .layout .item-2row span{
    height: 81px;
}


.sdb-set-body .layout .headline .marker{
    height: 40px;
}

.sdb-set-body .layout .td{
    height: 20px;
}

.sdb-set-body .layout .table-area{
    padding: 10px;
}

.sdb-set-body .square{
    width: 10px;
    height: 10px;
    background: #2163ee;
}

/* レイアウトのルート */
.layout {
	word-break: break-all;
 }

/* 2段組レイアウト */
.layout-2col {
	word-break: break-all;
}

/* 2段組レイアウト左側 */
.layout-2col .leftside{
    display: block;
    overflow: hidden;
    float:left;
}


/* 2段組レイアウト右側 */
.layout-2col .rightside{
    display: block;
    overflow: hidden;
}

/* テーブルを入れる場合など、その他のレイアウト */
.layout-free {
	margin: 0 0 0 0;
	padding: 13px;
	/*border: 1px solid #9B9B9C; */
	background: #FFFFFF;
}

/* 1行分 */
.layout .item{
    display: block;
    overflow: hidden;
    padding: 0 15px;
}

.layout .item-2row {
    background: #C1C1C1;
    float: left;
    color: #FFFFFF;
}

.layout .headline{
    display: block;
    overflow: hidden;
    padding: 0;
    background: #FFFFFF;
    font-size:16px;
    font-size:1.6rem;
}

.layout .headline .marker{
    cursor: pointer;
    padding: 0 13px;
    margin: 0 5px 0 0;
}

.layout .headline .marker:hover {
    background-color: #E0DEDE;
}

.layout .headline .marker:active {
    background-color: #B7B6B6;
}

.layout .toggleoff {
    display:none;
}

.layout .markeroff img{
	transform: rotate(-90deg);
	-moz-transform: rotate(-90deg);
	-webkit-transform: rotate(-90deg);
}

.layout .line{
    width: inherit;
    background: #2b5fcd;
    margin: 16px 0 13px 0;
    height: 2px; /* marginと合わせて35px */
}

.layout .blank{
    height: 10px;
}

.layout .group1 {
    background: #FFFFFF;
}

.layout .leftside .group1 .group2{
    margin: 0 0 0 15px;
    border-top: 1px solid #9B9B9C;
    border-left: 1px solid #9B9B9C;
    border-bottom: 1px solid #9B9B9C;
    background: #F6F5F5;
}

.layout .rightside .group1 .group2{
    margin: 0 15px 0 0;
    border-top: 1px solid #9B9B9C;
    border-right: 1px solid #9B9B9C;
    border-bottom: 1px solid #9B9B9C;
    background: #FFFFFF;
}

.layout-1col{
    display: block;
    overflow: hidden;
    background: #FFFFFF;
    clear: both;
    word-break: break-all;
}

.layout .co-item{
    display: block;
    overflow: hidden;
    padding: 0 10px 0 1px;
    float: left;
}
.layout .co-item.indent{
	margin-left: 30px;
}
.layout .co-item > .indent{
	width: 30px;
}
.layout .near{
	padding-right: 3px;
}
.layout .string{
    margin: 0 10px 0 10px;
}

.layout div span{
    display: table-cell;
    vertical-align: middle;
}

.layout .bdr-top {
	border-top: 1px solid #9B9B9C;
}
.layout .bdr-btm {
    border-bottom: 1px solid #9B9B9C;
}

.layout .content-title {
    height: 26px;
    border-left: 4px solid #a0a0a0;
    background: #f6f5f5;
    margin: 7px 0;
    padding: 0 10px;
}

.layout .content-title span.string {
    height: 26px;
}

/*********************************************************************/
/* table                                                             */
/* (easy/style.cssにも同様の定義があるので後々統合すべきか)          */
/*********************************************************************/
.layout-tbl {
        display: table;
}
.layout-tbl > .row {
        display:table-row;
}

.layout-tbl > .row > .cell{
        display:table-cell;
        vertical-align: middle;
}

/*********************************************************************/
/* .sdb-cfm(setting-disp-box-confirmの略)                            */
/*********************************************************************/
.sdb-cfm {
	overflow: hidden;
    font-size: 1.5rem;
}

/*********************************************************************/
/* .sdb-cfm-header                                                   */
/*********************************************************************/
.sdb-cfm-header {
    display: block;
    overflow: hidden;
    height: 45px;
}

.sdb-cfm-header div{
    display: block;
    overflow: hidden;
    height: 45px;
}

.sdb-cfm-header .string{
    color: #2b5fcd;
    font-size: 2rem;
}

.sdb-cfm-header div span{
    display: table-cell;
    height: 45px;
    vertical-align: middle;
}

.sdb-cfm-body {
	border-color: #333333;
	margin: 0 auto;
	padding: 0;
    overflow: hidden;
}

.sdb-cfm-body .sdb-cfm-frame {
    background: #FCFCFC;
    border: 1px solid #9B9B9C;
}

.sdb-cfm-body .layout-2col {
    background: #FCFCFC;
    border: 1px solid #9B9B9C;
}

.sdb-cfm-body .layout .item{
    min-height: 45px;
}

.sdb-cfm-body .layout div span{
    height: 45px;
}

/*********************************************************************/
/* 確認画面の体裁                                                    */
/* (easy/style.cssにも同様の定義があるので後々統合すべきか)          */
/*********************************************************************/
.confirm  .header {
        color: #549400;
        font-size: 20px;
        font-size: 2rem;
        margin: 25px 0 10px 0;
}
.confirm .layout-tbl{
        background-color: #fcfcfc;
        border: 1px solid #b4b4b4;
}
.confirm .layout-tbl > .row > .cell{
        height: 45px;
        padding: 0px 15px;
}
.confirm .layout-tbl > .row > .cell{
        border-top: 1px solid #b4b4b4;
}
.confirm .layout-tbl > .row:first-child > .cell{
        border-top:none;
}
.confirm .layout-tbl > .row > .cell:first-child{
        width: 10%;
        white-space:nowrap;
        overflow:hidden;
}

.address-link a:visited {
	color: blue;
}

#address-link-list {
	padding: 10px 0 0 20px;
	list-style-type: disc;
}

#address-link-list li {
	margin: 15px 0;
}

/*********************************************************************/
/* 設定入力ページのレイアウトテーブル                                   */
/*********************************************************************/
.setting_table {
    width: 100%;
}

.setting_table > tbody > tr > td {
    word-break: break-all;
    vertical-align: top;
    border-bottom: 1px solid #b4b4b5;
}

.setting_table > tbody > tr > td:first-child {
    background: #F6F5F5;
    width: 215px;
}

.setting_table > tbody > tr > td > div {
    margin: 15px;
}

.setting_table > tbody > tr > td > div .r-space {
    padding-right: 10px;
}

.setting_table > tbody > tr > td div.setting-item {
    margin: 15px;
    overflow: hidden;

    /* #16080 safari(Mac)でテキストボックスの上辺が消えるバグの対策 */
    padding-top: 1px;
    padding-bottom: 1px;
}

.setting_table > tbody > tr > td > div div.setting-co-item {
    padding: 0 10px 0 1px;
    float: left;
}

.setting_table > tbody > tr > td > div div.setting-co-item input[type="text"] {
    margin: 0;
}

.setting_table > tbody > tr > td > div div.setting-co-item select {
    margin: 0;
}

.setting_table .indent {
    margin-left: 30px;
}

.setting_table > tbody tr.item-header > td {
    border-bottom: none;
}

.setting_table > tbody tr.item-body > td {
    background-color: white;
}

.setting_co_table tr td {
    padding-bottom: 10px;
}

.setting_co_table tr:last-child td {
    padding-bottom: 0px;
}

.required-mark {
    padding: 2px;
    text-align: center;
    color: white;
    border-radius: 4px;
    background-color: #FF66AA;
    float: right;
}

/*********************************************************************/
/* 入力内容の確認ページのレイアウトテーブル                            */
/*********************************************************************/
.confirm_table {
    width: 100%;
    border-top: 1px solid #b4b4b5;
    border-right: 1px solid #b4b4b5;
    border-left: 1px solid #b4b4b5;
}

.confirm_table > tbody > tr > td {
    word-break : break-all;
    vertical-align: top;
    background: #FCFCFC;
    border-bottom: 1px solid #b4b4b5;
}

.confirm_table > tbody > tr > td:first-child {
    width: 215px;
}

.confirm_table > tbody > tr > td > div {
    margin: 15px;
}

.confirm_table > tbody > tr > td div.confirm-item {
    margin: 15px;
    overflow: hidden;
}

.confirm_table > tbody > tr > td > div div.confirm-co-item {
    padding: 0 10px 0 1px;
    float: left;
}

.confirm_table .indent{
    margin-left: 30px;
}

.confirm_table > tbody tr.item-header > td {
    border-bottom: none;
}

.confirm_table table > tbody > tr:not(:last-child) > td {
    padding-bottom: 15px;
}

.confirm_table table > tbody > tr > td:nth-child(2) {
    padding-left: 20px;
}

/* .sdb-cfm-body のスタイルをキャンセル */
.layout .confirm_table table > tbody > tr > td div {
    height: auto;
}

.layout .confirm_table table > tbody > tr > td span {
    height: auto;
}

.logical_if_table > tbody > tr.entry_logical_if > td:nth-child(2) {
    background-color: #d0d0d0;
}

.logical_if_table > tbody > tr.tr_color_white > td {
    background-color: #ffffff;
}

.logical_if_table > tbody > tr.tr_color_gray > td {
    background-color: #f5f5f5;
}

.search-btn {
    width: 16px;
    height: 16px;
    border: 1px solid #999;
    border-left: none;
    padding: 2px;
    cursor: pointer;
}
